Page MenuHomeFreeBSD

arm64: generate ISO release images
ClosedPublic

Authored by mhorne on Sep 16 2020, 1:09 PM.

Details

Summary

Some IPMI implementations on arm64 are reportedly unable to load
our memstick installer images, but support the older ISO format. Start
generating these for arm64.

Unlike installers ISOs on other platforms, these images are UEFI-only.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

So far the images generated are bootable, but the bootable image header is incorrectly labeled "BIOS", rather than "UEFI" which may be causing the images to be unrecognized on certain firmware. I'm not sure yet if there is a bug in makefs.

$ xorriso -indev /usr/obj/usr/home/mitchell/freebsd/arm64.aarch64/release/disc1.iso -report_el_torito plain -report_system_area plain
xorriso 1.5.0 : RockRidge filesystem manipulator, libburnia project.

xorriso : NOTE : Loading ISO image tree from LBA 0
xorriso : UPDATE :   22302 nodes read in 1 seconds
libisofs: WARNING : Found hidden El-Torito image. Its size could not be figured out, so image modify or boot image patching may lead to bad results.
xorriso : NOTE : Detected El-Torito boot information which currently is set to be discarded
Drive current: -indev '/usr/obj/usr/home/mitchell/Development/freebsd/arm64.aarch64/release/disc1.iso'
Media current: stdio file, overwriteable
Media status : is written , is appendable
Boot record  : El Torito
Media summary: 1 session, 253593 data blocks,  495m data,  111g free
Volume id    : '13_0_CURRENT_AARCH64_CD'
El Torito catalog  : 19  1
El Torito images   :   N  Pltf  B   Emul  Ld_seg  Hdpt  Ldsiz         LBA
El Torito boot img :   1  BIOS  y   none  0x0000  0x00   1600          20
El Torito img blks :   1  1600
xorriso : NOTE : No System Area was loaded

Let's commit this for now... there's lots of refactoring to be done in release later on.

This revision is now accepted and ready to land.Sep 17 2020, 7:41 PM
emaste added inline comments.
release/arm64/mkisoimages.sh
3–5 ↗(On Diff #77095)

Just delete these lines

Make use of "efi" system type in makefs.

Create a partition table for the EFI partition.

This revision now requires review to proceed.Sep 18 2020, 1:22 PM
This revision is now accepted and ready to land.Sep 18 2020, 1:31 PM

Relnotes: yes I presume?

This revision was automatically updated to reflect the committed changes.